<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="link">
    <form class="ui form" id="link-form" method="post" th:object="${applicationlink}">
      <input type="hidden" th:field="*{id}" />
      <input type="hidden" th:field="*{application.id}" />
      <input type="hidden" th:field="*{environment.id}" />
      <h2 class="ui dividing header">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_LINKS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LINK}}"></span>
      </h2>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                field = 'name', 
                                                                required = true, 
                                                                maxlength = 50, 
                                                                placeholder = '',
                                                                columnsize = 'four wide'
                                                                )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_URL}}, 
                                                                field = 'url', 
                                                                required = true, 
                                                                maxlength = 255, 
                                                                placeholder = '',
                                                                columnsize = 'twelve wide'
                                                                )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}}, 
                                                                field = 'username', 
                                                                required = true, 
                                                                maxlength = 50, 
                                                                placeholder = '',
                                                                columnsize = 'five wide'
                                                                )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PASSCODE}}, 
                                                                 field = 'password', 
                                                                 required = false, 
                                                                 maxlength = 50, 
                                                                 placeholder = '',
                                                                 columnsize = 'five wide'
                                                                 )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                   icon1text =${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                   icon1url = '',
                                                                   )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>